package kr.co.uplus.ez.api.custMgt.dto;

import java.io.Serializable;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class InsertMassUserResDto extends ResponseMessage implements Serializable{

	private InsertMassUserRes data;

	public InsertMassUserResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public InsertMassUserResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public InsertMassUserResDto(ApiResponseCode returnStr, InsertMassUserRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}
}
